fastpos.h File Reference

Kind of two-bit version of bit scan reverse. More...

## Macros

#define | FASTPOS_BITS 13
#define | fastpos_shift(extra, n) ((extra) + (n) * (FASTPOS_BITS - 1))
#define | fastpos_limit(extra, n) (UINT32_C(1) << (FASTPOS_BITS + fastpos_shift(extra, n)))
#define | fastpos_result(dist, extra, n)

## Functions

static uint32_t | get_dist_slot (uint32_t dist)

## Variables

const uint8_t | lzma_fastpos [1<< FASTPOS_BITS]

## Detailed Description

Kind of two-bit version of bit scan reverse.

## Macro Definition Documentation

## fastpos_result

#define fastpos_result | ( |  | dist,
|  |  | extra,
|  |  | n
| ) |  |

Value:
(uint32_t)(lzma_fastpos[(dist) >> fastpos_shift(extra, n)]) \
+ 2 * fastpos_shift(extra, n)